import react from 'react'
import Timeline from './timeline/Timeline'
import TimelineElement from './timeline/TimelineElement'
import TimelineLabel from './timeline/TimelineLabel'
import TimelineCard from './timeline/TimelineCard'
import TimelineCardSummary from './timeline/TimelineCardSummary'
import TimelineCardContent from './timeline/TimelineCardContent'

function MonParcours() {
    return (
        <div>
            <Timeline>
                <TimelineElement>
                    <TimelineLabel>2017 - 2018</TimelineLabel>
                    <TimelineCard>
                        <TimelineCardSummary>License Dev. Web et du Big Data</TimelineCardSummary>
                        <TimelineCardContent>
                            <p>Licence professionnel en alternance de développeur d’application web et du Big Data (LP DWBD)</p><br />
                            <p>Utilisation de docker, Mysql, PHP avancé, Symfony 3 et 4, AngularJS, NodeJS, Cassandra, MongoDB, …</p><br />
                            <i>IUT du Limousin à Limoges</i>
                        </TimelineCardContent>
                    </TimelineCard>
                </TimelineElement>
                <TimelineElement>
                    <TimelineLabel>2015 - 2017</TimelineLabel>
                    <TimelineCard>
                        <TimelineCardSummary>DUT Informatique</TimelineCardSummary>
                        <TimelineCardContent>
                            <p>Conception de programme en Java, C++, C, Android, PHP, NodeJS et l’utilisation de Mysql. Apprentissage des bases scientifiques dans l’informatique.</p><br />
                            <i>IUT du Limousin à Limoges</i>
                        </TimelineCardContent>
                    </TimelineCard>
                    <TimelineCard>
                        <TimelineCardSummary>Développement d’application Web React et MIDI + Site Wordpress (Stage + CDD)</TimelineCardSummary>
                        <TimelineCardContent>
                            <p>Développement d’une application musicale en utilisant le protocol MIDI (+ Synthèse sonore).</p><br />
                            <p>La partie affichage a été développé avec React et RequireJS (Gestion de module).</p><br />
                            <p>Administation du Site en Wordpress avec les Plugins (Woocommerce et PaidMembership Pro) ainsi que le développement d’un plugin propriétaire pour l’intégration de l’application dans Wordpress</p><br />

                            <i>Limouzik SAS</i><br />
                            <i>03 Avril 2017 - 30 Juin 2017 (Stage)</i><br />
                            <i>01 Juillet 2017 - 31 Juillet 2017 (CDD)</i>
                        </TimelineCardContent>
                    </TimelineCard>
                </TimelineElement>
                <TimelineElement>
                    <TimelineLabel>2012 - 2015</TimelineLabel>
                    <TimelineCard>
                        <TimelineCardSummary>Bac STI2D spécialité SIN</TimelineCardSummary>
                        <TimelineCardContent>
                            <p>Passage du Bac sciences et technologies de l’industrie et du développement durable (STI2D).</p>
                            <p>Spécialité systèmes d’information et numérique (SIN).</p><br />
                            <i>Lycée Jean Favard à Guéret</i>
                        </TimelineCardContent>
                    </TimelineCard>
                    <TimelineCard>
                        <TimelineCardSummary>Développement en Java (Perso)</TimelineCardSummary>
                        <TimelineCardContent>
                            <p>Apprentissage dans un premier temps du language avec le site du zero et les quelques vidéos sur Youtube.</p><br />
                            <p>Ensuite, j'ai commencé à développer des projets Perso (Plugin Minecraft, Mod Minecraft) dans un premier temps.</p><br />
                            <p>Puis, j'ai commencé à développer des petits jeux de A à Z (Petit moteur de physique + graphique + audio) et à m'entrainer avec des amis pour participer à des concours comme le Ludum dare et la Global Game Jam.</p><br />
                            <i>Java 1.5, 1.6, 1.7, 8</i><br />
                            <i>Maven et Gradle</i>
                        </TimelineCardContent>
                    </TimelineCard>
                    <TimelineCard>
                        <TimelineCardSummary>Utilisation de l’API graphique OpenGL (Perso)</TimelineCardSummary>
                        <TimelineCardContent>
                            <p>Après avoir développé quelques trucs sur Minecraft. Je me suis interressé à son fonctionnement et j'ai découvert la librairie LWJGL utilisé dans Minecraft.</p><br />
                            <p>J'ai très vite voulu développer mes propres Mini-Jeux en OpenGL avec cette librairie.</p><br />

                            <i>LWJGL 2 et 3</i><br />
                            <i>OpenGL 2 et OpenGL Modern (3.3+)</i>
                        </TimelineCardContent>
                    </TimelineCard>
                </TimelineElement>
            </Timeline>
        </div>
    )
}

export default MonParcours